unit UChartXML;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart, TeeURL, TeeXML, Series,
  TeeGally, VCLTee.TeeEdit, Vcl.StdCtrls,TeeFrench;

type
  TForm1 = class(TForm)
    TeeXMLSource1: TTeeXMLSource;
    Chart1: TChart;
    Series1: TBarSeries;
    BLoad: TButton;
    BSave: TButton;
    ChartEditor1: TChartEditor;
    MemoXML: TMemo;
    Splitter1: TSplitter;
    procedure FormCreate(Sender: TObject);
    procedure Chart1DblClick(Sender: TObject);
    procedure BLoadClick(Sender: TObject);
    procedure BSaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;


implementation


{$R *.dfm}

uses TeeStore;

procedure TForm1.BLoadClick(Sender: TObject);
var
 lStringStream:TStringStream;
begin

 //  chart1.ClearChart;
 // https://steema.com/docs/teechart/vclfmx/lib/html/TeeStore.html
   lStringStream:= TStringStream.Create;
   try
    MemoXML.Lines.savetoStream(lStringStream);
    lStringStream.Position:=0;
    LoadChartFromStream(chart1,  ConvertXMLToText(lStringStream) );
   finally
     lStringStream.Free;
   end;

end;

procedure TForm1.BSaveClick(Sender: TObject);
var
 lStringStream:TStringStream;
begin
   // https://steema.com/docs/teechart/vclfmx/lib/html/TeeStore.html
   lStringStream:= TStringStream.Create;
   try
    SaveChartToXMLStream(chart1,  lStringStream);
    lStringStream.Position:=0;
    // https://www.steema.com/support/viewtopic.php?f=3&t=17693&p=78656&hilit=SaveChartToXMLStream#p78656
    MemoXML.Lines.LoadFromStream(lStringStream );
   finally
     lStringStream.Free;
   end;

end;

procedure TForm1.Chart1DblClick(Sender: TObject);
begin
  ChartEditor1.Execute;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 TeeSetFrench;


end;

initialization
 RegisterTeeStandardSeries;

end.
